Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bsh
Interface ParserConstants

All Known Implementing Classes:
  Parser, ParserTokenManager, Primitive

public interface ParserConstants

Field Summary
`static int` | `_DEFAULT`
`static int` | `ABSTRACT`
`static int` | `ANDASSIGN`
`static int` | `ANDASSIGNX`
`static int` | `ASSIGN`
`static int` | `BANG`
`static int` | `BIT_AND`
`static int` | `BIT_ANDX`
`static int` | `BIT_OR`
`static int` | `BIT_ORX`
`static int` | `BOOL_AND`
`static int` | `BOOL_ANDX`
`static int` | `BOOL_OR`
`static int` | `BOOL_ORX`
`static int` | `BOOLEAN`
`static int` | `BREAK`
`static int` | `BYTE`
`static int` | `CASE`
`static int` | `CATCH`
`static int` | `CHAR`
`static int` | `CHARACTER_LITERAL`
`static int` | `CLASS`
`static int` | `COLON`
`static int` | `COMMA`
`static int` | `CONST`
`static int` | `CONTINUE`
`static int` | `DECIMAL_LITERAL`
`static int` | `DECR`
`static int` | `DEFAULT`
`static int` | `DIGIT`
`static int` | `DO`
`static int` | `DOT`
`static int` | `DOUBLE`
`static int` | `ELSE`
`static int` | `ENUM`
`static int` | `EOF`
`static int` | `EQ`
`static int` | `EXPONENT`
`static int` | `EXTENDS`
`static int` | `FALSE`
`static int` | `FINAL`
`static int` | `FINALLY`
`static int` | `FLOAT`
`static int` | `FLOATING_POINT_LITERAL`
`static int` | `FOR`
`static int` | `FORMAL_COMMENT`
`static int` | `GE`
`static int` | `GEX`
`static int` | `GOTO`
`static int` | `GT`
`static int` | `GTX`
`static int` | `HASH_BANG_COMMENT`
`static int` | `HEX_LITERAL`
`static int` | `HOOK`
`static int` | `IDENTIFIER`
`static int` | `IF`
`static int` | `IMPLEMENTS`
`static int` | `IMPORT`
`static int` | `INCR`
`static int` | `INSTANCEOF`
`static int` | `INT`
`static int` | `INTEGER_LITERAL`
`static int` | `INTERFACE`
`static int` | `LBRACE`
`static int` | `LBRACKET`
`static int` | `LE`
`static int` | `LETTER`
`static int` | `LEX`
`static int` | `LONG`
`static int` | `LPAREN`
`static int` | `LSHIFT`
`static int` | `LSHIFTASSIGN`
`static int` | `LSHIFTASSIGNX`
`static int` | `LSHIFTX`
`static int` | `LT`
`static int` | `LTX`
`static int` | `MINUS`
`static int` | `MINUSASSIGN`
`static int` | `MOD`
`static int` | `MODASSIGN`
`static int` | `MULTI_LINE_COMMENT`
`static int` | `NATIVE`
`static int` | `NE`
`static int` | `NEW`
`static int` | `NONPRINTABLE`
`static int` | `NULL`
`static int` | `OCTAL_LITERAL`
`static int` | `ORASSIGN`
`static int` | `ORASSIGNX`
`static int` | `PACKAGE`
`static int` | `PLUS`
`static int` | `PLUSASSIGN`
`static int` | `PRIVATE`
`static int` | `PROTECTED`
`static int` | `PUBLIC`
`static int` | `RBRACE`
`static int` | `RBRACKET`
`static int` | `RETURN`
`static int` | `RPAREN`
`static int` | `RSIGNEDSHIFT`
`static int` | `RSIGNEDSHIFTASSIGN`
`static int` | `RSIGNEDSHIFTASSIGNX`
`static int` | `RSIGNEDSHIFTX`
`static int` | `RUNSIGNEDSHIFT`
`static int` | `RUNSIGNEDSHIFTASSIGN`
`static int` | `RUNSIGNEDSHIFTASSIGNX`
`static int` | `RUNSIGNEDSHIFTX`
`static int` | `SEMICOLON`
`static int` | `SHORT`
`static int` | `SINGLE_LINE_COMMENT`
`static int` | `SLASH`
`static int` | `SLASHASSIGN`
`static int` | `STAR`
`static int` | `STARASSIGN`
`static int` | `STATIC`
`static int` | `STRICTFP`
`static int` | `STRING_LITERAL`
`static int` | `SWITCH`
`static int` | `SYNCHRONIZED`
`static int` | `THROW`
`static int` | `THROWS`
`static int` | `TILDE`
`static java.lang.String[]` | `tokenImage`
`static int` | `TRANSIENT`
`static int` | `TRUE`
`static int` | `TRY`
`static int` | `VOID`
`static int` | `VOLATILE`
`static int` | `WHILE`
`static int` | `XOR`
`static int` | `XORASSIGN`

Field Detail

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### NONPRINTABLE

    public static final int NONPRINTABLE

See Also:
  Constant Field Values

### SINGLE_LINE_COMMENT

    public static final int SINGLE_LINE_COMMENT

See Also:
  Constant Field Values

### HASH_BANG_COMMENT

    public static final int HASH_BANG_COMMENT

See Also:
  Constant Field Values

### MULTI_LINE_COMMENT

    public static final int MULTI_LINE_COMMENT

See Also:
  Constant Field Values

### ABSTRACT

    public static final int ABSTRACT

See Also:
  Constant Field Values

### BOOLEAN

    public static final int BOOLEAN

See Also:
  Constant Field Values

### BREAK

    public static final int BREAK

See Also:
  Constant Field Values

### CLASS

    public static final int CLASS

See Also:
  Constant Field Values

### BYTE

    public static final int BYTE

See Also:
  Constant Field Values

### CASE

    public static final int CASE

See Also:
  Constant Field Values

### CATCH

    public static final int CATCH

See Also:
  Constant Field Values

### CHAR

    public static final int CHAR

See Also:
  Constant Field Values

### CONST

    public static final int CONST

See Also:
  Constant Field Values

### CONTINUE

    public static final int CONTINUE

See Also:
  Constant Field Values

### _DEFAULT

    public static final int _DEFAULT

See Also:
  Constant Field Values

### DO

    public static final int DO

See Also:
  Constant Field Values

### DOUBLE

    public static final int DOUBLE

See Also:
  Constant Field Values

### ELSE

    public static final int ELSE

See Also:
  Constant Field Values

### ENUM

    public static final int ENUM

See Also:
  Constant Field Values

### EXTENDS

    public static final int EXTENDS

See Also:
  Constant Field Values

### FALSE

    public static final int FALSE

See Also:
  Constant Field Values

### FINAL

    public static final int FINAL

See Also:
  Constant Field Values

### FINALLY

    public static final int FINALLY

See Also:
  Constant Field Values

### FLOAT

    public static final int FLOAT

See Also:
  Constant Field Values

### FOR

    public static final int FOR

See Also:
  Constant Field Values

### GOTO

    public static final int GOTO

See Also:
  Constant Field Values

### IF

    public static final int IF

See Also:
  Constant Field Values

### IMPLEMENTS

    public static final int IMPLEMENTS

See Also:
  Constant Field Values

### IMPORT

    public static final int IMPORT

See Also:
  Constant Field Values

### INSTANCEOF

    public static final int INSTANCEOF

See Also:
  Constant Field Values

### INT

    public static final int INT

See Also:
  Constant Field Values

### INTERFACE

    public static final int INTERFACE

See Also:
  Constant Field Values

### LONG

    public static final int LONG

See Also:
  Constant Field Values

### NATIVE

    public static final int NATIVE

See Also:
  Constant Field Values

### NEW

    public static final int NEW

See Also:
  Constant Field Values

### NULL

    public static final int NULL

See Also:
  Constant Field Values

### PACKAGE

    public static final int PACKAGE

See Also:
  Constant Field Values

### PRIVATE

    public static final int PRIVATE

See Also:
  Constant Field Values

### PROTECTED

    public static final int PROTECTED

See Also:
  Constant Field Values

### PUBLIC

    public static final int PUBLIC

See Also:
  Constant Field Values

### RETURN

    public static final int RETURN

See Also:
  Constant Field Values

### SHORT

    public static final int SHORT

See Also:
  Constant Field Values

### STATIC

    public static final int STATIC

See Also:
  Constant Field Values

### STRICTFP

    public static final int STRICTFP

See Also:
  Constant Field Values

### SWITCH

    public static final int SWITCH

See Also:
  Constant Field Values

### SYNCHRONIZED

    public static final int SYNCHRONIZED

See Also:
  Constant Field Values

### TRANSIENT

    public static final int TRANSIENT

See Also:
  Constant Field Values

### THROW

    public static final int THROW

See Also:
  Constant Field Values

### THROWS

    public static final int THROWS

See Also:
  Constant Field Values

### TRUE

    public static final int TRUE

See Also:
  Constant Field Values

### TRY

    public static final int TRY

See Also:
  Constant Field Values

### VOID

    public static final int VOID

See Also:
  Constant Field Values

### VOLATILE

    public static final int VOLATILE

See Also:
  Constant Field Values

### WHILE

    public static final int WHILE

See Also:
  Constant Field Values

### INTEGER_LITERAL

    public static final int INTEGER_LITERAL

See Also:
  Constant Field Values

### DECIMAL_LITERAL

    public static final int DECIMAL_LITERAL

See Also:
  Constant Field Values

### HEX_LITERAL

    public static final int HEX_LITERAL

See Also:
  Constant Field Values

### OCTAL_LITERAL

    public static final int OCTAL_LITERAL

See Also:
  Constant Field Values

### FLOATING_POINT_LITERAL

    public static final int FLOATING_POINT_LITERAL

See Also:
  Constant Field Values

### EXPONENT

    public static final int EXPONENT

See Also:
  Constant Field Values

### CHARACTER_LITERAL

    public static final int CHARACTER_LITERAL

See Also:
  Constant Field Values

### STRING_LITERAL

    public static final int STRING_LITERAL

See Also:
  Constant Field Values

### FORMAL_COMMENT

    public static final int FORMAL_COMMENT

See Also:
  Constant Field Values

### IDENTIFIER

    public static final int IDENTIFIER

See Also:
  Constant Field Values

### LETTER

    public static final int LETTER

See Also:
  Constant Field Values

### DIGIT

    public static final int DIGIT

See Also:
  Constant Field Values

### LPAREN

    public static final int LPAREN

See Also:
  Constant Field Values

### RPAREN

    public static final int RPAREN

See Also:
  Constant Field Values

### LBRACE

    public static final int LBRACE

See Also:
  Constant Field Values

### RBRACE

    public static final int RBRACE

See Also:
  Constant Field Values

### LBRACKET

    public static final int LBRACKET

See Also:
  Constant Field Values

### RBRACKET

    public static final int RBRACKET

See Also:
  Constant Field Values

### SEMICOLON

    public static final int SEMICOLON

See Also:
  Constant Field Values

### COMMA

    public static final int COMMA

See Also:
  Constant Field Values

### DOT

    public static final int DOT

See Also:
  Constant Field Values

### ASSIGN

    public static final int ASSIGN

See Also:
  Constant Field Values

### GT

    public static final int GT

See Also:
  Constant Field Values

### GTX

    public static final int GTX

See Also:
  Constant Field Values

### LT

    public static final int LT

See Also:
  Constant Field Values

### LTX

    public static final int LTX

See Also:
  Constant Field Values

### BANG

    public static final int BANG

See Also:
  Constant Field Values

### TILDE

    public static final int TILDE

See Also:
  Constant Field Values

### HOOK

    public static final int HOOK

See Also:
  Constant Field Values

### COLON

    public static final int COLON

See Also:
  Constant Field Values

### EQ

    public static final int EQ

See Also:
  Constant Field Values

### LE

    public static final int LE

See Also:
  Constant Field Values

### LEX

    public static final int LEX

See Also:
  Constant Field Values

### GE

    public static final int GE

See Also:
  Constant Field Values

### GEX

    public static final int GEX

See Also:
  Constant Field Values

### NE

    public static final int NE

See Also:
  Constant Field Values

### BOOL_OR

    public static final int BOOL_OR

See Also:
  Constant Field Values

### BOOL_ORX

    public static final int BOOL_ORX

See Also:
  Constant Field Values

### BOOL_AND

    public static final int BOOL_AND

See Also:
  Constant Field Values

### BOOL_ANDX

    public static final int BOOL_ANDX

See Also:
  Constant Field Values

### INCR

    public static final int INCR

See Also:
  Constant Field Values

### DECR

    public static final int DECR

See Also:
  Constant Field Values

### PLUS

    public static final int PLUS

See Also:
  Constant Field Values

### MINUS

    public static final int MINUS

See Also:
  Constant Field Values

### STAR

    public static final int STAR

See Also:
  Constant Field Values

### SLASH

    public static final int SLASH

See Also:
  Constant Field Values

### BIT_AND

    public static final int BIT_AND

See Also:
  Constant Field Values

### BIT_ANDX

    public static final int BIT_ANDX

See Also:
  Constant Field Values

### BIT_OR

    public static final int BIT_OR

See Also:
  Constant Field Values

### BIT_ORX

    public static final int BIT_ORX

See Also:
  Constant Field Values

### XOR

    public static final int XOR

See Also:
  Constant Field Values

### MOD

    public static final int MOD

See Also:
  Constant Field Values

### LSHIFT

    public static final int LSHIFT

See Also:
  Constant Field Values

### LSHIFTX

    public static final int LSHIFTX

See Also:
  Constant Field Values

### RSIGNEDSHIFT

    public static final int RSIGNEDSHIFT

See Also:
  Constant Field Values

### RSIGNEDSHIFTX

    public static final int RSIGNEDSHIFTX

See Also:
  Constant Field Values

### RUNSIGNEDSHIFT

    public static final int RUNSIGNEDSHIFT

See Also:
  Constant Field Values

### RUNSIGNEDSHIFTX

    public static final int RUNSIGNEDSHIFTX

See Also:
  Constant Field Values

### PLUSASSIGN

    public static final int PLUSASSIGN

See Also:
  Constant Field Values

### MINUSASSIGN

    public static final int MINUSASSIGN

See Also:
  Constant Field Values

### STARASSIGN

    public static final int STARASSIGN

See Also:
  Constant Field Values

### SLASHASSIGN

    public static final int SLASHASSIGN

See Also:
  Constant Field Values

### ANDASSIGN

    public static final int ANDASSIGN

See Also:
  Constant Field Values

### ANDASSIGNX

    public static final int ANDASSIGNX

See Also:
  Constant Field Values

### ORASSIGN

    public static final int ORASSIGN

See Also:
  Constant Field Values

### ORASSIGNX

    public static final int ORASSIGNX

See Also:
  Constant Field Values

### XORASSIGN

    public static final int XORASSIGN

See Also:
  Constant Field Values

### MODASSIGN

    public static final int MODASSIGN

See Also:
  Constant Field Values

### LSHIFTASSIGN

    public static final int LSHIFTASSIGN

See Also:
  Constant Field Values

### LSHIFTASSIGNX

    public static final int LSHIFTASSIGNX

See Also:
  Constant Field Values

### RSIGNEDSHIFTASSIGN

    public static final int RSIGNEDSHIFTASSIGN

See Also:
  Constant Field Values

### RSIGNEDSHIFTASSIGNX

    public static final int RSIGNEDSHIFTASSIGNX

See Also:
  Constant Field Values

### RUNSIGNEDSHIFTASSIGN

    public static final int RUNSIGNEDSHIFTASSIGN

See Also:
  Constant Field Values

### RUNSIGNEDSHIFTASSIGNX

    public static final int RUNSIGNEDSHIFTASSIGNX

See Also:
  Constant Field Values

### DEFAULT

    public static final int DEFAULT

See Also:
  Constant Field Values

### tokenImage

    public static final java.lang.String[] tokenImage

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD